Bug 495188 - LiveCD error when installing to hard disk
LiveCD error when installing to hard disk
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
10
i386 Mac OS
low Severity high
: ---
: ---
Assigned To: LVM and device-mapper development team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-10 03:27 EDT by Srini
Modified: 2013-01-10 00:09 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:13:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Error File generated by Installer (27.17 KB, text/plain)
2009-04-10 03:27 EDT, Srini
no flags Details

  None (edit)
Description Srini 2009-04-10 03:27:56 EDT
Created attachment 339069 [details]
Error File generated by Installer

Description of problem:
LiveCD wont install to hard disk.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create VM in Virtual Box on Mac OSX 
2. Boot using LiveCD
3. Install to Hard disk on desktop.. go through steps.. and while installing in crashes
  
Actual results:
Installation stops... i saved the file and uploaded to ticket

Expected results:
Installation successfully completes :)

Additional info:
File Attached.
Comment 1 Jeremy Katz 2009-04-13 12:54:51 EDT
What live image are you tring to install from?
Comment 2 Jeremy Katz 2009-04-23 13:01:04 EDT
Looking closer at the log, this is F10.  And the error seems to be that device-mapper isn't reloading the table with the new LV.  Reassigning to lvm2

LVCreateError: lvcreate of 1024 Megabyte lv "LogVol01" on vg "VolGroup00" failed
Log:
   Running... ['lvm', 'lvcreate', '-v', '-L', '1024M', '-n', 'LogVol01', '-An', 'VolGroup00']
   volume LogVol01
   WARNING: This metadata update is NOT backed up
   Found volume group "VolGroup00"
   Device /dev/dm-2 not found.
   Creating VolGroup00-LogVol01
   Loading VolGroup00-LogVol01 table
   device-mapper: reload ioctl failed: Invalid argument
   Aborting. Failed to activate new LV to wipe the start of it.
   Found volume group "VolGroup00"
   Removing VolGroup00-LogVol01 (253:4)
   Found volume group "VolGroup00"
   WARNING: This metadata update is NOT backed up
Comment 3 Bug Zapper 2009-11-18 04:59:07 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 04:13:42 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.